org.apache.olingo.client.api.serialization

## Interface ODataBinder

-     public interface ODataBinder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(ClientEntity entity, ClientProperty property)` Adds the given property to the given entity.
    `Entity` | `getEntity(ClientEntity entity)` Gets an `Entity` from the given OData entity.
    `EntityCollection` | `getEntitySet(ClientEntitySet entitySet)` Gets a `EntitySet` from the given OData entity set.
    `Link` | `getLink(ClientLink link)` Gets a `Link` from the given OData link.
    `ClientDelta` | `getODataDelta(ResWrap<Delta> resource)`
    `ClientEntity` | `getODataEntity(ResWrap<Entity> resource)` Gets `ODataEntity` from the given entity resource.
    `ClientEntitySet` | `getODataEntitySet(ResWrap<EntityCollection> resource)` Gets `ODataEntitySet` from the given entity set resource.
    `ClientProperty` | `getODataProperty(ResWrap<Property> resource)` Gets an `ODataProperty` from the given property resource.
    `ClientServiceDocument` | `getODataServiceDocument(ServiceDocument resource)` Gets `ODataServiceDocument` from the given service document resource.
    `Property` | `getProperty(ClientProperty property)` Gets a `Property` from the given OData property.

- - ### Method Detail

    - #### getEntitySet

          EntityCollection getEntitySet(ClientEntitySet entitySet)

      Gets a `EntitySet` from the given OData entity set.
      Parameters:
        `entitySet` - OData entity set.
      Returns:
        `EntityCollection` object.

    - #### getEntity

          Entity getEntity(ClientEntity entity)

      Gets an `Entity` from the given OData entity.
      Parameters:
        `entity` - OData entity.
      Returns:
        `Entity` object.

    - #### getLink

          Link getLink(ClientLink link)

      Gets a `Link` from the given OData link.
      Parameters:
        `link` - OData link.
      Returns:
        `Link` object.

    - #### getProperty

          Property getProperty(ClientProperty property)

      Gets a `Property` from the given OData property.
      Parameters:
        `property` - OData property.
      Returns:
        `Property` object.

    - #### add

          boolean add(ClientEntity entity,
                      ClientProperty property)

      Adds the given property to the given entity.
      Parameters:
        `entity` - OData entity.
        `property` - OData property.
      Returns:
        whether add was successful or not.

    - #### getODataServiceDocument

          ClientServiceDocument getODataServiceDocument(ServiceDocument resource)

      Gets `ODataServiceDocument` from the given service document resource.
      Parameters:
        `resource` - service document resource.
      Returns:
        `ODataServiceDocument` object.

    - #### getODataEntitySet

          ClientEntitySet getODataEntitySet(ResWrap<EntityCollection> resource)

      Gets `ODataEntitySet` from the given entity set resource.
      Parameters:
        `resource` - entity set resource.
      Returns:
        `ClientEntitySet` object.

    - #### getODataEntity

          ClientEntity getODataEntity(ResWrap<Entity> resource)

      Gets `ODataEntity` from the given entity resource.
      Parameters:
        `resource` - entity resource.
      Returns:
        `ClientEntity` object.

    - #### getODataProperty

          ClientProperty getODataProperty(ResWrap<Property> resource)

      Gets an `ODataProperty` from the given property resource.
      Parameters:
        `resource` - property resource.
      Returns:
        `ClientProperty` object.

    - #### getODataDelta

          ClientDelta getODataDelta(ResWrap<Delta> resource)

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.